org.apache.lucene.luke.models.search

## Class SearchResults

- java.lang.Object
- - org.apache.lucene.luke.models.search.SearchResults

-     public final class SearchResults
      extends Object

  Holder for a search result page.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SearchResults.Doc` Holder for a hit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SearchResults.Doc>` | `getHits()` Returns the documents of the current page.
    `int` | `getOffset()` Returns the offset of the current page.
    `TotalHits` | `getTotalHits()` Returns the total number of hits for this query.
    `int` | `size()` Returns the size of the current page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTotalHits

          public TotalHits getTotalHits()

      Returns the total number of hits for this query.

    - #### getOffset

          public int getOffset()

      Returns the offset of the current page.

    - #### getHits

          public List<SearchResults.Doc> getHits()

      Returns the documents of the current page.

    - #### size

          public int size()

      Returns the size of the current page.

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.